#
# spec file for package perl-Class-Load
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Class-Load
Version:        0.06
Release:        4.2
Summary:        A working require "Class::Name" and more
Source:         http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/Class-Load-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Class-Load
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
%if 0%{?suse_version} >= 1100
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Fatal)
%endif
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Scalar::Util)
Requires:       perl(Scalar::Util)

%description
"require EXPR" only accepts "Class/Name.pm" style module names, not
"Class::Name". How frustrating! For that, we provide "load_class
'Class::Name'".
It's often useful to test whether a module can be loaded, instead of
throwing an error when it's not available. For that, we provide
"try_load_class 'Class::Name'".
Finally, sometimes we need to know whether a particular class has been
loaded. Asking %%INC is an option, but that will miss inner packages and
any class for which the filename does not correspond to the package name.
For that, we provide "is_class_loaded 'Class::Name'".

%prep
%setup -q -n "Class-Load-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%if 0%{?suse_version} >= 1100

%check
%__make test
%endif

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes
%dir %{perl_vendorlib}/Class
%{perl_vendorlib}/Class/Load.pm
%dir %{perl_vendorarch}/auto/Class
%{perl_vendorarch}/auto/Class/Load
%doc %{perl_man3dir}/Class::Load.%{perl_man3ext}%{ext_man}
%changelog
* Wed Dec 29 2010 pascal.bleser@opensuse.org
- initial version (0.06)
